﻿

# Declare characters used by this game.

# The game starts here.
label start:
    scene black with fade
    show text "What is your name?" with slowdissolve
    pause (0.2)
    $ name = renpy.input("My name is:", "Chai", allow=None, exclude='{}')
    $ renpy.music.play ("phone.ogg", channel="sound", loop=True, fadeout=1.0, fadein=1.0)
    scene bg streetday with Dissolve(3.0)
    with Pause(2.0)
    "The harsh sound of my cellphone breaks the silence of my morning walk."
    "I wish I could just keep this thing on silent, but that would make Mom freak on me."
    "With a sigh, I fish my boring, stereotypical cellphone out of my pocket."
    $ renpy.music.stop (channel="sound", fadeout=1.0)
    show cellphone at Position(xpos=0.25, xanchor=0.5, ypos=0.5, yanchor=0.4)
    c "Hello?"
    o "Good afternoon, %(name)s, my dear!"
    "I'm about to tell her it's nine in the morning, but then I remember there's a time difference."
    c "Hi, who is this?"
    o "Your mother, idiot. You don't mean to tell me you can't recognize my voice...!"
    c "Of course not, mom; it's just out of habit."
    o "Wait, do people other than your mother actually call you?"
    "...Ouch, Mom."
    c "Well, no, but..."
    o "Then that's a {i}problem!{/i}"
    "Oh no."
    "Here we go, now..."
    o "I swear, %(name)s, you're a young man living on his own as..."
    o "As a freelance writer, of all things!"
    o "If you're not going to have a job that makes your mum proud, at least get yourself a girlfriend!"
    c "Mom, please. My book is going to be a success, I swear to you."
    c "And when the money is pouring in with the publishing of my inevitable New York Times Bestseller, then I'll worry about a petty thing like romantic companionship."
    o "You're hopeless. Do you know what you're doing to your poor mum?"
    c "What do you want from me; to drop my work and start... dating?"
    "She laughs."
    "{i}My mom{/i} is {i}laughing{/i} at me."
    o "You know, you're right, my son."
    "She manages to utter this between giggles."
    o "Let me ask something of you that you might actually be capable of. Unlike dating. Or writing."
    "Double ouch."
    o "Go buy yourself a dog or something."
    c "Yeah, okay, right. Sure."
    o "I mean this, young man! It's no good for you to be cooped up in that house of yours all alone." 
    o "Go buy a dog."
    c "Why don't I get myself a cat?"
    o "Absolutely not! Then you'll insist on living alone with it {i}forever!{/i}"
    c "..."
    c "Thanks for calling, Mom. I'm going to hang up on you now."
    o "..."
    o "...Fine then."
    "With that, the conversation ends."
    hide cellphone
    "Shaking my head, I decide not to finish my usual morning route and instead turn for my house."
    
    scene bg homenight with fade
    play sound "backspace.ogg"
    "I smash my finger on the Backspace key with frustration."
    "...It comes loose."
    c "Oh come on, again?!"
    #window show
    "Okay, obvious and completely unecessary confession time:"
    "I lied."
    "My writing is going horribly."
    "The plot that seemed like genius in my head only seems to come out as emotionless and unoriginal when I've typed it out."
    "I'm exhausted. I'm {i}pissed.{/i}"
    "I don't want to do this anymore."
    "I don't want to do {i}anything{/i} anymore."
    #nvl clear
    "With a sigh, I close the text editor."
    "Do I want to save the changes I made in the document, 'Piece of complete crap'?"
    "Of course not."
    "Frustrated, I hold down the power button with contempt and fall back onto my bed, welcoming sleep."
    #nvl clear
    #window hide
    show bg homemorning with inu
    #window show
    "The morning sun greets me with an ironic and very irritating cheer."
    "My little house is dead silent, bar the quiet sound of my own breathing."
    "It kind of makes me want to punch something."
    "Sighing, I set out on my usual morning walk."
    #window hide
    scene bg roadmorning with slowdissolve
    play sound "whimperquiet.ogg"
    #window show
    "Here is where I would usually take a left, but..."
    scene bg turnor with Dissolve(0.5)
    play sound "whimperquiet2.ogg"
    "There's a sound coming from over there."
    "That of an... injured animal."
    "Of course, while this road leads to a parking lot for the building nearby, the area past that usually deserted lot is a small forest."
    "Even small wooded areas are relatively rare in the suburbs, despite the fact this town was covered in trees previous to development."
    "The noise is probably the wounded cries of some poor animal. It's not my business to mess with nature... right?"
    #nvl clear
    #window hide
    menu:
        "Investigate the noise.":
            jump investigation
        "Continue my way.":
            jump fail1
            

label investigation:
    $ renpy.block_rollback()
    #window show
    "It wouldn't hurt to go check, would it?"
    scene bg forestroadmorning with dissolve
    $ renpy.music.queue(["forestambience.ogg", "forestambience2.ogg", "forestambience3.ogg"], loop=True, clear_queue=True, fadein=1, tight=True)
    "In spite of my horrid mood, or perhaps because of it, I turn right and direct myself down the middle of the empty road."
    #nvl clear
    #window hide
    scene bg forestmorning with fade
    "I delve my way into the underbrush, only slightly concerned of getting lost."
    "It's not like this forest is very large."
    play sound "whimper1.ogg"
    "The whimpering grows closer with each step, until I push away a tree branch at my feet..."
    ##scene cg puppy at Zoom((800, 600), (225, 150, 400, 300), (0, 0, 800, 600), 0.2)
    "Ah!"
    "It's a puppy!"
    play sound "whimper2.ogg"
    "..."
    "Considering yesterday's conversation with my mom, this is rather ironic."
    "I bend down."
    "The dog takes notice of my presence, but its evident exhaustion coupled with the wound on its leg prevent it from moving, let alone fleeing me."
    "It's probably just a stray mutt nobody wanted."
    "Lonely, unloved, alone, and hurting."
    "..."
    play sound "whimper4.ogg"
    "I take it into my arms, without another thought."
    "I turn straight for home."
    stop music fadeout (2.0)
    scene bg homemorning with inu
    #play music "warmandfuzzy.mp3"
    #window show
    "I'm quite proud and relieved I managed to recall my knowledge of dressing wounds from my Boy Scout days."
    "Now asleep on a pile of newspapers assembled in the corner of my room, I take a moment to analyze the small dog."
    "It is female, and resembles that of a German Shepherd."
    "Despite being a stray mutt, it is quite the beautiful dog after having been cleaned up."
    "I find my hand is stroking her between her ears without thinking."
    #nvl clear
    scene bg homemidday with slowdissolve
    "When I look up, it is late afternoon."
    "I had, yet again, spent majority of the day typing aimlessly, and finding myself using the keys Control+A and Delete in succession a disheartening amount of times."
    "Deeply sighing, I find, in addition to all the other terrible things I'm feeling right now, I'm also hungry."
    "I get up, looking down at the still sleeping animal."
    #nvl clear
    "In spite of my mother's wishes, I cannot keep this dog."
    "While I will allow it to stay here until it recovers, I can't handle the responsibility a pet would demand."
    "Rather, I really don't want to. At all."
    "I have to worry about myself enough."
    "As I pocket a pathetic amount of cash to visit the store with, I leave the back door open for it to leave, as it wishes."
    "Looks like instant ramen again, tonight..."
    stop music fadeout 1.0
    #window hide
    scene bg store with Fade(0.5,0,1.5)
    ##$ renpy.music.queue (["ambience1.ogg", "ambience2.ogg"], clear_queue=True, channel="music", loop=True, fadein=1.0)
    "The cheap fluorescent lighting seem to suck the color and life out of everything in this store."
    "It's either that, or my pessimism."
    "...It's probably my pessimism."
    "I grab enough dry noodles to last me a while. As I'm getting to the counter, I pass the pet aisle."
    #nvl clear
    scene bg store2 with dissolve
    "Against my better judgement, I stop to glance at the dog collars for sale."
    "...Yikes."
    "The strangest things are getting more and more expensive these days."
    #nvl clear
    "Heading to a different aisle, I find a spool of ribbon for a dollar fifty."
    "The red is pretty, but the purple is the cheaper..."
    "Purple it is, then, I think, tossing the spool into my basket and heading to the check-out counter."
    $ renpy.music.stop (channel="music", fadeout=1.0)
    $ renpy.music.queue (["streetambience.ogg", "streetambience2.ogg, streetambience3.ogg"], channel="music", loop=True, fadein=1.0)
    scene bg busystreetmidday with fade
    #nvl clear
    "Even if I can't keep the thing, I can at least tie a little bow around it."
    "The dog, due to its ancestry, gives off a rather masculine air."
    scene bg road2evening with fade
    pause (0.3)
    scene bg houseevening with fade
    stop music fadeout 3.0
    "I know how hard it is to be mistaken for the other gender..."
    "It's the least I can do to help it identify with its femininity."
    "...These are somewhat strange excuses I'm making to myself."
    "I kind of want to keep it after all..."
    scene bg homeevening with slowdissolve
    "..."
    "That said, where'd it go?"
    "The pile of newspaper sits in the corner, messy, and void of canine presence."
    "..."
    #nvl clear
    #window hide
    c "Heeeere, puppy, puppy, puppy."
    c "Come out, come ouuut..."
    "Oh, wait. That's right..."
    "...I left the door open."
    "After I cleaned up its wound, it wasn't so serious that it couldn't walk, and after all that sleep it probably decided to..."
    "...Leave me."
    c "Fine then, go ahead."
    c "Leave me all alone like everyone else in my life has!"
    "My angry voice echoes through the barren house."
    c "Why don't you go ahead and do what Mom did, move three freaking thousand miles away!"
    c "Fine, I don't care! I wasn't going to keep you any-"
    show binukor happy at offscreenbottom with None
    show binukor happy at center with quickmove
    show binukor happy with vpunch
    $ renpy.music.stop (channel="music", fadeout=1.0)
    ##$renpy.music.play("binuko.mp3", channel="music", loop=True, fadeout=0.5, fadein=0.5)
    c "...way...?!"
    i "Wat you mean, you wasn't gon to keep me?"
    c "What are... who are you? What are you doing in my house!?"
    show binukor sad
    i "This no way to treat the loyal pet you has, Master-sama."
    c "{i}M-master-sama?!{/i}"
    show binukor normal
    i "I no has yur real name, so I call you that."
    c "My name is %(name)s."
    show binukor happy
    i "Okai tehn, %(name)s-sama!"
    c "Well, what about you, what's your name? And... and what are you doing in my house, again!?"
    i "Wai you are asking {i}me{/i} wat mai name is? Yur teh Master."
    c "I'm not your master! I've never seen you before in my life!"
    show binukor sad
    i "Tehn yu ar bliended?"
    c "No!"
    i "Tehn how comes yu no sees me wehn yu finded me and fixeded mai ouchie?"
    c "...Y-You don't... You don't mean to tell me...?"
    show binukor mad
    i "Nu, eye'm not mean to tell yu. Say ish taht minesies?"
    "She's pointing spool of ribbon inside my shopping bag."
    c "Yes, but-"
    show binukor happy
    i "Tahnks Master %(name)s!"
    c "Wait, but-"
    hide binukor 
    with moveoutleft 
    with hpunch
    "She reaches in, rushes off to the kitchen, borrows my kitchen scissors to cut off a length of purple ribbon, and ties it around her neck, as if she's lived here all her life."
    c "Wait a second, you're...!"
    c "You're the dog I found?!"
    show binuko happy 
    with moveinleft 
    with hpunch
    i "Yesh, yesh!"
    c "But... but you're a girl!"
    show binuko normal
    i "I'm a doggie girl."
    c "...Erm..."
    c "...Well, okay then."
    c "You're a dog girl."
    c "I have a dog girl in my house."
    i "I nu want has teh name 'dog girl.'"
    c "Then... how about 'Inuko'?"
    $ inuko = "Inuko"
    i "I can has teh name Inuko? Inuko lieks Inuko!"
    i "It no has {i}originality,{/i} but Inuko lieks it."
    c "Well... um, that's cool."
    show binuko smile
    "The dog I rescued... has turned into a girl."
    "...Okay then."
    "...I have a dog girl."
    "..."
    "Mom is gonna' be ecstatic."
    $ renpy.music.stop (channel="music", fadeout=1.0)
    scene bg homenight 
    show binuko smile at center
    with inu
    "That all said, being seen with this little girl in my house could rouse some... suspicions."
    "Look at her; she's a prepubescent child with doggie ears staring at me as I eat my dinner."
    "Yikes, I must look like a pedophile."
    "Maybe they'll think I've kidnapped a little girl and surgically attached dog ears and a tail to her."
    "...That would not be good."
    show binuko sad
    i "Wai %(name)s has sadface?"
    c "Hm?"
    c "Oh, why am I sad?"
    show binuko normal 
    i "Mmhm! Wai Master has sadface?"
    c "Maybe I'm just hungry."
    c "Those instant noodles aren't very filling after a while..."
    i "Tehn we has staek."
    ##$renpy.music.play("binuko.mp3", channel="music", loop=True, fadeout=0.5, fadein=0.5)
    c "..."
    c "Sorry, Inuko, I don't have stea-"
    show binuko happy with vpunch
    i "Tehn Inuko maek staek!"
    hide binuko happy 
    with moveoutleft
    c "Inuko, I don't have any steak!"
    c "Go ahead and check the fridge."
    "I say this as she makes a grab for my refridgerator door..."
    "...and pulls out a raw steak."
    c "What the...?!"
    show binuko happy at center 
    with moveinleft
    with hpunch
    i "Inuko will cook and has you staek!"
    "Considering everything that has happened today..."
    "I think I am incapable of being surprised."
    c "Um, okay."
    c "Steak."
    c "Wow."
    c "Okay, steak!"
    show binuko normal 
    i "Does tihs maek Master happie?"
    c "Yeah, yeah sure."
    i "Tehn wai Master has still sadfaece?"
    c "Oh, um, nothing, Inuko. It's just..."
    i "Jus wat?"
    c "I don't think it'd be good for me to be seen with a little girl in my-"
    show binuko mad with None
    i "Little dog girl! {i}Dog girl!{/i}"
    c "I think I'd look a bit like a creep if someone knew I was keeping a cute little dog girl in my house."
    show binuko normal with None
    i "Wan? You think I'm cute?"
    c "...Well, yeah. You are a dog, after a-"
    show binuko happy with vpunch
    i "Master %(name)s thinks I'm cute?"
    c "...Sure, yes. Yes. Just, just calm down, you're a bit..."
    i "Squeeeeee~!!"
    stop music fadeout 1.0
    ##$renpy.music.play("evolve.mp3", channel="music", loop=True, fadeout=0.5, fadein=0.5)
    scene bg evolve with honey
    show binuko happy with None
    show binuko white with flash
    show inuko white with Dissolve(0.2)
    hide binuko white
    show inuko happy with flash
    show bg homenight with slowdissolve
    stop music fadeout 1.0
    c "Whoa...what?"
    c "...Just when did my life turn into a shoujo anime..."
    c "A-are you really a dog?!"
    show inuko normal with None
    i "Dog {i}girl!{/i}"
    c "Are you sure you're not a Pokemon?"
    show inuko mad with hpunch
    i "Nu, eye'm a {i}dog girl!{/i}"
    c "But, but you just... you just changed!"
    i "Because you made me really happy, wan wan!"
    c "..."
    c "...Well."
    c "You're still a little girl, so while this may be alleviating..."
    c "This doesn't prevent my potential kidnapping charges."
    i "The steak has ready nao!"
    c "Great! Let's eat."
    scene black with slowdissolve
    stop music fadeout 2.0
    "For the first time in years I eat a homecooked steak for dinner."
    "Inuko even pulls out another one from the fridge to cook for herself."
    "Inuko. The dog girl."
    "...I guess it's just my luck."
    
   ################################################## 
label scene2:
    $ renpy.block_rollback()
    scene bg homemorning with inu
    "I am awakened by a voice calling from the kitchen."
    i "Good morning, Master, wan wan!"
    $ renpy.music.stop (channel="music", fadeout=1.0)
    ##$renpy.music.play("inuko.mp3", channel="music", loop=True, fadeout=0.5, fadein=0.5)
    "Instantly I am overwhelmed by three feelings:"
    "That of surprise, as I am unused to hearing another's voice in the morning,"
    "That of uneasiness when the resurfacing of my half-conscious thoughts from last night cause me to realize Inuko left my bed and slept next to me on the couch,"
    "And, moreso than all else,"
    "That of hunger."
    c "What's that smell? Are you cooking again?"
    i "For breakfast we can has eggs with bacon!"
    c "And where did you get these eggs and bacon?"
    i "From the fridge!"
    "I should've guessed."
    i "Order up!"
    show inuko happy at center
    with moveinleft
    "She's soon done cooking and we eat the meal she's prepared, sitting on the couch, plates on our laps."
    show inuko happy at sitting with move
    c "This is delicious. Thank you, Inuko."
    show inuko sad at sitting
    i "So %(name)s-sama isn't hungry anymore?"
    c "Nope, thanks to Inuko."
    show inuko happy at sitting
    "I feel like a creep already, patting this little girl's head like... like she's a dog."
    "But she {i}is{/i} a dog."
    "Well, a dog {i}girl.{/i}"
    i "So Master is happy now, right?"
    c "Yeah, sure. I guess so."
    show inuko sad at sitting
    i "Then, why Master {i}still{/i} has sadface?"
    c "What do you mean?"
    c "I has-I mean, I have a happy face. See?"
    c "Smiling."
    i "You has smile doesn't mean you has happy."
    i "Inuko has dog girl magic. Inuko knows %(name)s has still sadface."
    c "Okay, well I'm not exactly Mr. Ear-to-Ear these days, okay?"
    show inuko normal at sitting
    i "Ear to... Ear... to ear...to ear..."
    c "Things just aren't going right for me."
    show inuko sad at sitting
    i "What makes Master has sadface, wan wan?"
    c "Well, if you must know..."
    "I reach underneath my bed and open my clunking laptop."
    show inuko normal at sitting
    i "Is teh glowy thing teh problem?"
    show inuko happy at sitting 
    i "Inuko can fix it!"
    c "Hey, hey hey!"
    show inuko happy at sitting with hpunch
    "I barely manage to snatch my laptop out of her reach before Inuko can destroy it."
    c "Don't touch!"
    show inuko sad at sitting with None
    i "But I want help!"
    c "It's not the laptop that's bothering me, it's my writing."
    c "I'm a writer. I write books."
    c "Or, at least, I would. If I could."
    c "Do you know what I mean?"
    show inuko normal at sitting with None
    i "Inuko has understand."
    c "Good. Unfortunately, you can't help."
    i "But Inuko has to help!"
    show inuko sad at sitting with None
    c "Sorry, doggie."
    "I place a hand on her head, and she perks up immediately."
    show inuko happy at sitting with None
    i "Inuko can help! Inuko can help!"
    c "I already told you, you-"
    show inuko normal at sitting with None
    i "%(name)s-sama needs to has trust Inuko."
    c "You're just a dog!"
    show inuko mad at sitting with None
    i "Dog {size=+5}{i}girl!{/i}!{/size}"
    c "...Fair enough."
    show inuko normal at sitting with None
    i "Now, Master %(name)s needs to go walk."
    i "Inuko will stay here."
    "I begin to close my laptop, but she reaches out to stop me."
    i "Inuko will has the glowy."
    c "You can't just-"
    i "%(name)s-sama needs has trust!"
    c "..."
    "Silently, I grab a pair of jeans and a T-shirt from my closet, retreat to the bathroom, and change."
    "Upon returning, I find my cellphone and put it in my pocket."
    "I quickly glance at Inuko, sitting crosslegged now on the floor with my laptop balanced between her knees, before hurriedly setting off on my morning walk."
    scene bg streetmorning with fade
    stop music fadeout 2.0
    $ renpy.music.stop (channel="music", fadeout=1.0)
    $ renpy.music.queue(["ambience1.ogg", "ambience2.ogg"], clear_queue=True, loop=True, fadein=1.0, tight=True)
    
    play sound "phone.ogg"
    c "I'm in such a good mood..."
    c "I can't think of anything that might ruin it."
    $renpy.pause(2.0, hard='True')
    c "...and now I can."
    show cellphone at Position(xpos=0.25, xanchor=0.5, ypos=0.5, yanchor=0.4)
    c "Hello?"
    o "Child! Good afternoon, my %(name)s!"
    c "Morning, Mom."
    o "Now, how come you didn't ask who was speaking?"
    o "I taught you better manners than this, boy."
    o "Don't tell me you're going around developing bad habits."
    c "Mom...!"
    o "Anyway, I just wanted to tell you my neighbor, Mrs. Lottie?"
    o "Oh, I just found out that she has the cutest daughter, with a wonderful personality!"
    o "Becky's just finishing her last year of {i}college,{/i} son."
    o "That's a kind of school for intelligent, promising members of society, in case you've forgotten."
    "...I should get myself a cold compress to ice these burns."
    "Her stinging sarcasm aside, I still don't like where this conversation is going."
    o "And she's only a couple years younger than you!"
    o "Anyway, I've got it all ready for you to fly over here next month as-"
    c "Whoa, whoa, whoa, {i}next month?!{/i}"
    o "I would've had it this week if it weren't for the complications with-"
    c "Mom, do you mean to visit, or...?"
    o "Of course not! You're doing nothing with your life, so sell that old house and come to live with me."
    o "That's an order, by the way, not an option."
    o "And then I can introduce you to sweet little Becky!"
    o "I mean, what's holding you there?"
    c "Um, my book?!"
    o "Oh, sweetie, you're so silly!"
    "...Is she seriously laughing at me again...?"
    o "Oh dear."
    o "You didn't actually get a dog, did you?"
    menu:
        "Tell her about Inuko":
            c "Actually, yes. Yes I did."
            c "And I got a girl, too. Sorta. Maybe."
            c "On the same day, too."
            c "...Somewhat."
            c "..."
            c "Mom...?"
            "The line is silent for a moment."
            "..."
            show cellphone at Position(xpos=0.25, xanchor=0.5, ypos=0.5, yanchor=0.4) with hpunch
            o "{size=+5}BWAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHA!{/size}"
            o "I'm so glad you've finally developed a sense of humor, hun!"
            "...I really should have expected this."
        "Keep her to yourself":
            c "..."
            c "No. No, I didn't."
            c "I'll call you back another time, Mom."
    o "When you pack up, don't bring those dirty lawn gnomes, okay?"
    c "{i}I'm not going to live with you!{/i}"
    c "Have a good day, Mom!"
    hide cellphone
    "My finger collides with the 'Call End' button."
    "Sighing, I take a walk around town before circling back home."
    scene bg house with fade
    $ renpy.music.stop (channel="music", fadeout=1.0)
    c "Inuko? Inuko, can I come in now?"
    i "Yes, %(name)s-sama can come in now!"
    play sound "door.ogg"
    scene bg homemidday with dissolve
    show inuko happy at sitting
    i "Master, lookie!"
    "And I take a seat beside her on the couch and begin to read what she has typed onto my laptop."
    scene bg homeevening with inu
    show inuko normal at sitting
    c "It's beautiful."
    c "The plot is ingeniously planned, the characters are intriguing,"
    c "The emotion sincere, the action compelling."
    c "There are only two things in the world that I can think of that might surpass this document's beauty."
    c "That would be the fact you wrote it in the time it took me to walk around town,"
    c "..."
    c "And how tremendously horrid your grammar is."
    stop music fadeout 1.0
    ##play music "inuko.mp3"
    show inuko sad at sitting
    i "What this grammar?"
    show inuko mad at sitting
    i"Inuko has grammar!"
    c "Please, please, do {i}not{/i} say that word!"
    c "I think I just read 'has' so many times that it ceases to sound like a word anymore!"
    play sound "whimper1.ogg"
    show inuko sad at sitting
    i "Inuko ha-"
    i "I mean, Inuko is sorry she doesn't haves grammars."
    "I fight the urge to correct her in favor of placing a hand in between her ears."
    c "Don't worry about it."
    c "I'll say it again, it's amazing how you wrote this so quickly."
    c "Your mechanics aside, this is unbelievably... amazing."
    c "You've amazed me."
    show inuko normal at sitting
    i "Really?"
    c "Really."
    show inuko happy at sitting
    with vpunch
    i "Really {i}reaally?{/i}"
    c "...Y-yeah, just don't get too over exci-"
    i "Yippeeeeeeee!"
    stop music fadeout 1.0
    ##$renpy.music.play("evolve.mp3", channel="music", loop=True, fadeout=0.5, fadein=0.5)
    scene bg evolve with honey
    show inuko happy with None
    show inuko white with flash
    show tinuko white with Dissolve(0.2)
    hide inuko white
    show tinuko happy with flash
    show bg homenight with slowdissolve
    stop music fadeout 1.0
    c "Did you just... evolve again?"
    i "Maybe."
    c "...Well, this is..."
    c "Nice."
    show tinuko normal at sitting with move
    "I get right to editing with Inuko sitting beside me, and I hope she's learning a bit more about 'has-ing grammar'"
    extend "by watching me."
    show bg homenight with slowdissolve
    "She ends up falling asleep, her head leaning against my shoulder lovingly."
    "A dog that turned into a dog girl, pulls great food out of nowhere, gives me an amazing story to work with, and is, quite frankly, beautiful..."
    "I could really get used to this."
label scene3:
    $ renpy.block_rollback()
    scene black with inu
    "A week of hard work later, I have a stack of pages tucked inside a large manila envelope addressed to a small, local publishing company."
    show tinuko gray with slowdissolve
    "This is no small thanks to Inuko, the puppy I rescued from the forest, who turned out to be a dog girl."
    "However, she refuses to let me put only her name as the author."
    "Instead, we settle on writing 'by %(name)s and Inuko."
    "Inuko now resembles a young adult, about my age, perhaps a few years younger."
    "I am a lot comfortable with her now than I was when she held the appearance of a grammar school child."
    "Speaking of grammar, she's widely improved."
    "She'll still talk in third person, and a couple of 'wan wan's slip out of her mouth, but otherwise, she speaks flawlessly."
    "If it weren't for the ears and tail, I'd think her to be human."
    "She never goes outside with me."
    "She always says, '%(name)s-sama goes outside. Inuko stays inside.'"
    "I've learned to quit arguing with her."
    "To argue is to lose."
    "She's always sweet, loyal, loving... just like a dog."
    "But she's not a dog, of course. She's a dog girl."
    "The only time I recall where she wasn't so amiable was when I asked her about why she... evolves, so to say,"
    show tinuko gray mad 
    i "Why do you have to ask Inuko so many questions, wan?"
    "She'd asked me with a suddenly impatient tone."
    c "I'm just wondering... It's a little bizarre, you know?"
    i "Dogs age different from girls and boys."
    show tinuko gray normal
    c "That's 'differently' you're supposed to use there, Inuko."
    c "You're describing the act of aging, a verb, so you have to use an adverb."
    show tinuko gray mad
    i "Dog girls age more differently from girls and boys and dogs."
    i "Inuko is a dog girl. Inuko ages differently."
    show tinuko gray normal
    i "Is that okay?"
    c "...Yeah, I guess so."
    show tinuko gray mad
    i "Inuko hates it when %(name)s says that!"
    hide tinuko with slowdissolve
    c "Thinking back on that only makes me smile."
    c "Maybe I've evolved in a sense, too."
    c "I'm an entirely different person."
    c "And I have to admit..."
    c "She's cute even when she's angry."

    scene bg homemorning with Fade(1.5,0,0.5)
    show tinuko happy at center with vpunch
    i "{size=+10}Wake up, sleepyhead!{/size}"
    c "What, what...?"
    c "Oh. Good morning, Inuko."
    i "It is a good morning, indeed!"
    i "We have mail!"
    i "They want to publish your book, Master!"
    c "My book? Our book, silly dog!"
    i "Dog {size=+10}{i}girl!{/size}{/i}"
    c "Right, right, okay!"
    c "Let me see the mail! This is so exciting."
    c "I can't friggin' wait to call Mom!"
    hide tinuko with moveoutright
    show tinuko happy with moveinright
    with hpunch
    i "Here you go!"
    c "Slow down!"
    i "Okie dokie!"
    "I'm somewhat surprised at the thickness and weight of the envelope she hands me."
    "Reaching inside, I take out a copy of our manuscript, plastered and stuffed with multicolored post-it notes."
    c "Oh."
    c "These are all the edits I have to make..."
    show tinuko sad
    i "I thought you said you edited my grammar?"
    c "Yeah, but these are different."
    "I flip through the pages, reading a few of the notes."
    c "These are, like, suggestions to edit the plot with. Characters that need work."
    show tinuko normal
    i "I thought you said I wrote those brilliantly?"
    c "You did, and so quickly, too."
    c "Some people just... don't think the same way as we do, I guess."
    show tinuko mad
    i "Hmph!"
    c "I know how you feel..."
    c "This is going to be a lot of wo-"
    i "Master %(name)s has to go now!"
    c "...What?"
    i "Master %(name)s has to leave! Leave!"
    c "What?! No!"
    c "You've already done enough; I can edit it myself, Inuko. You don't have to do anymore work!"
    c "You shouldn't have to do anymore work, you're the-"
    show tinuko sad
    i "Please, Master, please!"
    i "Leave Inuko here for a while!"
    i "Master will come back later!"
    menu:
        "Do as she says.":
            jump leave
        "Refuse.":
            jump fail2
label leave:
    $ renpy.block_rollback()
    c "Alright, Inuko."
    c "As long as you promise to take care of yourself."
    show tinuko happy 
    i "Inuko can do that!"
    i "Now go get Inuko treats at the store!"
    "I sigh."
    c "Alright, anything for you."
    stop music fadeout 1.0
    $ renpy.music.queue (["footsteps1.ogg", "footsteps2.ogg"], clear_queue=True, channel="music", loop=True, fadein=1.0)
    scene bg roadday with fade
    scene bg busystreetmidday with slowdissolve
    with Pause(1.0)
    scene bg store with slowdissolve
    with Pause(1.0)
    scene bg store2 with slowdissolve
    with Pause(1.0)
    scene bg streetday with slowdissolve
    "Cheap dog treats and a box of hard candy swing about in my shopping bag."
    "I didn't take very long, so I assume Inuko might not want me back yet."
    "Instead of turning down the road to our house, I find myself walking down the street that leads to the forest where I found her."
    stop music fadeout 0.5
    play music "foreststeps1.ogg"
    scene bg forestroad with slowdissolve
    scene bg forestpathday with slowdissolve
    stop music fadeout 0.5
    $ renpy.music.queue(["forestambience.ogg", "forestambience2.ogg", "forestambience3.ogg"], loop=True, clear_queue=True, fadein=1, tight=True)
    "Did I say 'our' house?"
    "{i}Our{/i} house..."
    "My dog and I."
    "Well, dog girl."
    "Dog girl...{w}friend?"
    "...Yes?"
    "No..."
    "I mean, I like her."
    "She sleeps next to me every night."
    "She lives with me."
    "...She's a dog. Dog girl."
    "She's also gorgeous, conjures up food, does half my work for me..."
    "..."
    "And I like her."
    "...A lot..."
    menu:
        "{i}I need to tell her how I feel.{/i}":
            jump rush
        "{i}Now's not the time.{/i}":
            jump norush

label rush:
    $ renpy.block_rollback()
    "I sprint home."
    stop music fadeout 1.0
    scene bg house with inu
    "I need to talk to Inuko, and something inside me makes me feel like... like I can't wait another second."
    "I rush to get to the door."
    play sound "door.ogg"
    scene bg homemidday 
    show tinuko mad
    with dissolve
    "Inuko, Inuko, I-!"
    stop music fadeout 1.0
    ##$renpy.music.play("evolve.mp3", channel="music", loop=True, fadeout=0.5, fadein=0.5)
    scene bg evolve 
    show tinuko mad with None
    show tinuko white with flash
    show ainuko white with Dissolve(0.2)
    hide tinuko white
    show ainuko sad with flash
    show bg homemidday with slowdissolve
    stop music fadeout 1.0
    i "M-Master %(name)s!"
    c "Inuko? Inuko you're..."
    show ainuko sad
    i "I didn't think... you'd come back so early."
    c "How did you evolve?"
    c "I thought you said you evolve because..."
    show ainuko normal
    i "Because you make me happy!"
    show ainuko mad
    i "Well, newsflash, %(name)s, the world isn't made of sparkles and glee."
    c "Then... then how..."
    show ainuko sad
    i "%(name)s... Everytime I use my power, I lose years of my life."
    c "So, so how old are you now?"
    show ainuko happy
    i "I'm a very old dog, my friend."
    i "I knew this would be the last time I'd get to help you."
    show ainuko normal
    i "The book is perfect now."
    i "I even looked into the future... It's going to be quite a success."
    i "This book will give you enough income to last you the rest of your life."
    i "You can even move in with your mother now. Sell this house."
    i "Our novel will be around for ages."
    show ainuko happy
    i "But if my memory is too painful, please... forget me."
    c "What?"
    c "No, Inuko, you're going to stay with me-"
    show ainuko sad
    i "Oh, how I wish!"
    i "My life is... quickly coming to an end, my sweet."
    i "Now that you know this secret, I cannot help you any longer."
    i "This is goodbye."
    i "I love you, %(name)s. Thank you for being my Master."
    scene bg houseevening
    "Inuko rushes outside, and I chase after her."
    #show cg doggie
    scene bg roaddownevening
    "When I look down the street, however, I see only an large, greying old stray mutt, bounding towards the forest."
    "The purple ribbon has split and fallen off her neck."
    "It resembles a German Shepherd..."
    c "Inuko!"
    "I call her name in desperation as I reach down to pick up the ribbon and chase after her."
    c "Inuko wait, I-"
    c "Inuko, I wanted to tell you...!"
    ##show cg no doggie
    "She vanishes."
    c "..."
    $ norush= 'False'
    scene black with slowdissolve
    show text "{i}I love you.{/i}" with slowdissolve
    with Pause(1.0)
    hide text with dissolve
label final:
    $ renpy.block_rollback()
    show bg homemorning with inu
    c "Well, that's everything."
    "I say this to the little black dog at my feet."
    "It's probably something like Yorkshire Terrier; all I know is that it was cheap."
    c "Time to get out of here, then. The new owners will be here in a couple hours."

    show bg house with dissolve
    "I take the last few suitcases to my car, and I slam my trunk closed with a satisfying noise."
    "The little dog scampers into the car after me, immediately curling up on the passenger's seat."
    "I go through a mental To Do list in my head:"
    "Pack everything but the lawn gnomes? {w}Check."
    "Inform the publishing company of my new address? {w}Check."
    "{i}Forget her?{/i}"
    "I look over to the dog next to me."
    "The publishers may be flabbergasted at the speed at which 'I' edited the manuscript, but my book-{p}No, our book."
    "It still has a couple stages before I'll start making money off of it."
    "As a result, this little mixed breed was all I could afford."
    "I didn't mind."
    "It was just a dog, after all."
    "Just. {w}A dog."
    "In all likelihood, it will stay that way for the rest of its life."
    "Dogs breed dogs, wolves breed wolves."
    "But are they evolving?"
    "I've heard all too many a lecture on this topic."
    "Now then, people breed people, but are they evolving?"
    "I almost chuckle as I start my car."
    "I finger the purple ribbon tied around my wrist and turn my car, opposite the direction of the forest, ready for the long drive to the airport."
    scene black with fade
    show text "Are people evolving?" with dissolve
    $ renpy.pause(1.5, hard='True')
    hide text with dissolve
    $ renpy.pause(1.5, hard='True')
    show text "{i}Always.{/i}" with slowdissolve
    $ renpy.pause(1.5, hard='True')
    if norush == 'True':
        show text "Ending #2"at right with slowdissolve
        $ renpy.pause(1.5, hard='True')
    else:
        show text "Ending #1"at right with slowdissolve
        $ renpy.pause(1.5, hard='True')
    jump good_credits
label norush:
    $ norush = 'True'
    $ renpy.block_rollback()
    c "I'm being silly."
    "I say this out loud for no reason."
    "Maybe I needed the sound of my own voice to convince me."
    show bg forestroad with dissolve
    "I wander the forest and the streets until it's dark."
    show bg forestroadnight with slowdissolve
    "I'm pretty sure Inuko is going to try to finish editing the entire manuscript, and, magical she may be, I should let her take her time."
    "In addition to that, I..."
    "Don't really feel like going home tonight."
    stop music fadeout 1.0
    show bg housenight with inu
    c "Inuko?"
    c "Inuko, can I come in now?"
    "There is no answer."
    c "Inuko, let me in..."
    c "Inuko!"
    "I try the door."
    play sound "door.ogg"
    show bg homenight with fade
    "...it's open."
    c "Inuko?"
    c "Inuko, where are you?"
    c "Inu-"
    "I freeze when I feel a piece of paper underfoot."
    "I pick it up, sit down, and open my laptop to read it with the light of its screen."
    scene black with fade
    show text "Dearest %(name)s," with slowdissolve
    hide text with slowdissolve
    show tinuko gray sad with slowdissolve
    i "This is the last time I can help you."
    i "Unfortunately, using my power causes me to lose years of my life."
    i "This appropriately explains the phenomena you called, 'evolution,' which is really a very painful process that causes me to grow at a rapid rate."
    i "The lost potential energy from those years of my life were what I used to power the miracles I helped you with."
    i "I have become a very old doggie."
    show tinuko gray
    i "However, I have also looked into your future."
    i "The manuscript is perfect now."
    i "It will become a New York Times Bestseller, and provide the income for you to live the rest of your life on."
    i "You are going to be a success."
    i "This is the only thing I could have wanted."
    i "I lived to serve you, Master."
    i "You saved me with your kindness, but that is not why I gave my life to you, %(name)s."
    i "It is because I loved you, and because you made me very happy."
    show tinuko gray happy
    i "Therefore, I guess wasn't lying when I said I evolve because you make me happy."
    i "I hope I make you happy."
    i "I hope you grow and change, too."
    show tinuko gray sad
    i "We will not meet again."
    i "I have left the purple ribbon you gifted me on your bed."
    i "Our book will last for ages, too."
    i "However, if my memory causes you pain, forget me."
    i "I wouldn't mind."
    show tinuko gray happy
    i "Good-bye, Master."
    hide tinuko with slowdissolve
    show text "Sincerely, your loyal dog girl," 
    with slowdissolve
    show text "Inuko." with slowdissolve
    with Pause(1.0)
    hide text with slowdissolve
    jump final
